View Issue Details

IDProjectCategoryView StatusLast Update
0032675Open CASCADEOCCT:DRAWpublic2021-11-27 15:04
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032675: Draw Harness, ViewerTest - remove command vr
DescriptionThere is a command vr which is a shortcut to read .brep file and display it in 3D viewer:
> vr filename
> Reads shape from BREP-format file and displays it in the viewer.


This command doesn't look useful.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Activities

git

2021-11-22 00:25

administrator   ~0105330

Branch CR32675 has been created by kgv.

SHA-1: 30d8cd8fec53ced686bc08ff92c49c2c472269dc


Detailed log of new commits:

Author: kgv
Date: Mon Nov 22 00:25:01 2021 +0300

    0032675: Draw Harness, ViewerTest - remove command vr
    
    Removed unused commands vr and Draft.

git

2021-11-22 01:15

administrator   ~0105331

Branch CR32675 has been updated forcibly by kgv.

SHA-1: b190c2282635b5462ce31346271349bf25dd20f3

kgv

2021-11-22 02:22

developer   ~0105338

Please raise the patch
- OCCT: branch CR32675.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32675-master-KGV/

smoskvin

2021-11-27 14:23

administrator   ~0105459

Combination -
OCCT branch : IR-2021-11-26
master SHA - 4a837ecec21bfe24d9c224c4b59aa9779156f297
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-11-26 SHA - 5da5872bffc6c1fa745ee5e33ac09c4fffd349b4
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18390.380000000398 / 18549.650000000624 [-0.86%]
Products
Total CPU difference: 11648.280000000103 / 11661.570000000122 [-0.11%]
Windows-64-VC14:
OCCT
Total CPU difference: 19927.859375 / 19945.046875 [-0.09%]
Products
Total CPU difference: 13059.03125 / 13091.625 [-0.25%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-11-27 15:04

administrator   ~0105484

Branch CR32675 has been deleted by mnt.

SHA-1: b190c2282635b5462ce31346271349bf25dd20f3

Related Changesets

occt: master 7ac3f543

2021-11-21 21:25:01

kgv


Committer: smoskvin Details Diff
0032675: Draw Harness, ViewerTest - remove command vr

Removed unused commands vr and Draft.
Affected Issues
0032675
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff File
mod - src/ViewerTest/ViewerTest.cxx Diff File
mod - src/ViewerTest/ViewerTest.hxx Diff File

Issue History

Date Modified Username Field Change
2021-11-22 00:15 kgv New Issue
2021-11-22 00:15 kgv Assigned To => kgv
2021-11-22 00:25 git Note Added: 0105330
2021-11-22 01:15 git Note Added: 0105331
2021-11-22 02:22 kgv Test case number => N/A
2021-11-22 02:22 kgv Note Added: 0105338
2021-11-22 02:22 kgv Status new => resolved
2021-11-22 02:22 kgv Status resolved => reviewed
2021-11-27 14:23 smoskvin Note Added: 0105459
2021-11-27 14:23 smoskvin Status reviewed => tested
2021-11-27 14:52 smoskvin Changeset attached => occt master 7ac3f543
2021-11-27 14:52 smoskvin Assigned To kgv => smoskvin
2021-11-27 14:52 smoskvin Status tested => verified
2021-11-27 14:52 smoskvin Resolution open => fixed
2021-11-27 15:04 git Note Added: 0105484